| TagLib 1.13 |  |

Namespaces | Classes | Typedefs | Functions
TagLib Namespace Reference

A namespace for all TagLib related classes and functions. More...

## Namespaces
namespace | APE
| An implementation of APE metadata.
namespace | ASF
| An implementation of ASF (WMA) metadata.
namespace | FLAC
| An implementation of FLAC metadata.
namespace | ID3v1
| An ID3v1 implementation.
namespace | ID3v2
| An ID3v2 implementation.
namespace | IT
namespace | Mod
namespace | MP4
| An implementation of MP4 (AAC, ALAC, ...) metadata.
namespace | MPC
| An implementation of MPC metadata.
namespace | MPEG
| An implementation of TagLib::File with MPEG (MP3) specific methods.
namespace | Ogg
| A namespace for the classes used by Ogg-based metadata files.
namespace | RIFF
| An implementation of TagLib::File with RIFF specific methods.
namespace | S3M
namespace | TrueAudio
| An implementation of TrueAudio metadata.
namespace | WavPack
| An implementation of WavPack metadata.
namespace | XM

## Classes
class | AudioProperties
| A simple, abstract interface to common audio properties. More...
class | ByteVector
| A byte vector. More...
class | ByteVectorList
| A list of ByteVectors. More...
class | ByteVectorStream
| In-memory Stream class using ByteVector for its storage. More...
class | DebugListener
| An abstraction for the listener to the debug messages. More...
class | File
| A file class with some useful methods for tag manipulation. More...
class | FileRef
| This class provides a simple abstraction for creating and handling files. More...
class | FileStream
| A file class with some useful methods for tag manipulation. More...
class | IOStream
| An abstract class that provides operations on a sequence of bytes. More...
class | List
| A generic, implicitly shared list. More...
class | Map
| A generic, implicitly shared map. More...
class | PropertyMap
| A map for format-independent <key,valuelist> tag representations. More...
class | String
| A wide string class suitable for unicode. More...
class | StringList
| A list of strings. More...
class | Tag

## Typedefs
typedef wchar_t | wchar
typedef unsigned char | uchar
typedef unsigned short | ushort
typedef unsigned int | uint
typedef unsigned long | ulong
typedef unsigned long long | ulonglong
typedef std::basic_string< wchar_t > | wstring
typedef const char * | FileName
typedef Map< String, StringList > | SimplePropertyMap

## Functions
TAGLIB_EXPORT void | setDebugListener (DebugListener *listener)

## Detailed Description

A namespace for all TagLib related classes and functions.

This namespace contains everything in TagLib. For projects working with TagLib extensively it may be convenient to add a

using namespace TagLib;
TagLib
A namespace for all TagLib related classes and functions.
Definition: apefile.h:41

## Typedef Documentation

## ◆ FileName

typedef const char* TagLib::FileName

## ◆ SimplePropertyMap

typedef Map<String,StringList> TagLib::SimplePropertyMap

## ◆ uchar

typedef unsigned char TagLib::uchar

## ◆ uint

typedef unsigned int TagLib::uint

## ◆ ulong

typedef unsigned long TagLib::ulong

## ◆ ulonglong

typedef unsigned long long TagLib::ulonglong

## ◆ ushort

typedef unsigned short TagLib::ushort

## ◆ wchar

typedef wchar_t TagLib::wchar

## ◆ wstring

typedef std::basic_string<wchar_t> TagLib::wstring

Unfortunately std::wstring isn't defined on some systems, (i.e. GCC < 3) so I'm providing something here that should be constant.

## Function Documentation

## ◆ setDebugListener()

TAGLIB_EXPORT void TagLib::setDebugListener | ( | DebugListener * | listener | ) |

Sets the listener that decides how the debug messages are redirected. If the parameter listener is null, the previous listener is released and default stderr listener is restored.

Note
  The caller is responsible for deleting the previous listener as needed after it is released.

See also
  DebugListener